Summary:	API/ABI compatibility checker for C/C++ libraries
Name:		abi-compliance-checker
Version:	1.98.3
Release:	1
Group:		Development/Other
License:	GPLv1+ or LGPLv2+
URL:		http://ispras.linuxbase.org/index.php/ABI_compliance_checker
Source0:	https://github.com/lvc/abi-compliance-checker/downloads/abi-compliance-checker-%{version}.tar.gz
Requires:	gcc-c++
Requires:	binutils
Requires:       ctags
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ABI Compliance Checker (ACC) is a tool for checking backward binary
and source-level compatibility of a C/C++ library. The tool checks
header files and shared libraries of old and new versions and analyzes
changes in API and ABI (ABI=API+compiler ABI) that may break binary
and/or source compatibility: changes in calling stack, v-table changes,
removed symbols, renamed fields, etc. Binary incompatibility may result
in crashing or incorrect behavior of applications built with an old
version of a library if they run on a new one. Source incompatibility
may result in recompilation errors with a new library version. The
tool is intended for developers of software libraries and maintainers
of operating systems who are interested in ensuring backward
compatibility, i.e. allow old applications to run or to be recompiled
with newer library versions.

%prep
%setup -q
chmod 0644 LICENSE README

%build
# Nothing to build.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README doc/
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Fri Jul 27 2012 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.98.3-1
+ Revision: 811212
- Updated to 1.98.3

* Wed Jun 27 2012 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.98.2-1
+ Revision: 807171
- Updated to 1.98.2

* Mon Jun 25 2012 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.98.1-1
+ Revision: 806771
- Updated to 1.98.1

* Wed May 23 2012 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.97.6-1
+ Revision: 800204
- Updated to 1.97.6

* Tue May 22 2012 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.97.5-1
+ Revision: 799977
- Updated to 1.97.5

* Mon Apr 16 2012 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.97.4-2
+ Revision: 791357
- Changed docs installation path

* Mon Apr 16 2012 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.97.4-1
+ Revision: 791351
- Updated to 1.97.4

* Fri Feb 17 2012 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.96.8-1
+ Revision: 776108
- Updated to 1.96.8

* Wed Feb 08 2012 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.96.7-1
+ Revision: 771857
- Updated to 1.96.7

* Tue Dec 13 2011 Andrey Ponomarenko <andrey.ponomarenko@rosalab.ru> 1.96-1
+ Revision: 740648
- Updated to 1.96

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12-2mdv2011.0
+ Revision: 609903
- rebuild

* Sun Feb 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12-1mdv2010.1
+ Revision: 501668
- 1.12

* Sat Sep 05 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6-1mdv2010.0
+ Revision: 432064
- 1.6

* Thu Aug 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1-1mdv2010.0
+ Revision: 410938
- 1.1

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2010.0
+ Revision: 405312
- import abi-compliance-checker


* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2009.0
- initial Mandriva package
